Page MenuHomePhabricator

Special:Nearby is built in webpack
Closed, ResolvedPublic5 Story Points

Description

mobile.special.nearby.scripts makes use of the mobile.nearby module. Nothing else makes use of this module, thus it makes sense to merge it into the mobile.special.nearby.scripts

Note: mobile.nearby has dependencies on mobile.startup, mobile.gallery, mobile.messageBox, mobile.scrollEndEventEmitter. Given a usage in category overlay, it is not trivial to merge in mobile.scrollEndEventEmitter so we will focus on mobile.gallery. Given a usage of mobile.messageBox in editor overlay it is not trivial to merge in mobile.messageBox.

Acceptance criteria

  • The code in mobile.special.nearby.scripts is built via webpack
  • The code in mobile.startup has not grown in any substantial way. Consider introducing a new module mobile.special.scripts (to mirror mobile.special.styles) modules if this becomes a problem that can be shared across all special pages.
  • The module mobile.nearby has been removed (no need to worry about caching!).
  • The tests related to the feature (mobile.nearby) are run inside webpack
  • mobile.messageBox and mobile.scrollEndEventEmitter modules are retained and built without webpack (for now)

Sign off steps

[x ] Progress is updated.

Event Timeline

Jdlrobson triaged this task as High priority.Jan 9 2019, 4:00 PM
Jdlrobson created this task.
ovasileva set the point value for this task to 5.Jan 10 2019, 6:40 PM

Change 484703 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Port Special:Nearby to Webpack

https://gerrit.wikimedia.org/r/484703

Change 484703 merged by Jdlrobson:
[mediawiki/extensions/MobileFrontend@master] Port Special:Nearby to Webpack

https://gerrit.wikimedia.org/r/484703

nray removed nray as the assignee of this task.Jan 17 2019, 4:41 PM
nray added a subscriber: nray.
Jdlrobson updated the task description. (Show Details)Jan 18 2019, 1:14 AM
Jdrewniak closed this task as Resolved.Jan 23 2019, 9:27 PM
Jdrewniak updated the task description. (Show Details)